<?php

/**

 * ----------------------------------------------

 * Advanced Guestbook 2.2 (PHP/MySQL)

 * Copyright (c)2001 Chi Kien Uong

 * URL: http://www.proxy2.de

 * ----------------------------------------------

 */



class gb_template {



    var $template = array();

    var $include_path;

    var $LANG;

    var $plain_html = array();

    

    function gb_template($path='') {

        $this->include_path = $path;

    }



    function set_lang($language='') {

        if (!empty($language)) {

            $this->language = $language;

        } else {

            $this->language = "english";

        }

        return $this->language;

    }



    function get_content() {

        if (!isset($this->LANG)) {

            include_once "$this->include_path/lang/".$this->language.".php";

            $this->LANG =& $LANG;

            $this->WEEKDAY =& $weekday;

            $this->MONTHS =& $months;

        }

        return $this->LANG;

    }



    function get_template($tpl) {

        if (!isset($this->template[$tpl])) {

            $filename = "$this->include_path/templates/$tpl";

            if (file_exists("$filename")) {              

                $fd = fopen ($filename, "r");

                $this->template[$tpl] = fread ($fd, filesize ($filename));

                fclose ($fd);

                $this->template[$tpl] = ereg_replace("\"", "\\\"", $this->template[$tpl]);

            }

        }

        return $this->template[$tpl];

    }



}



?>